package repolist

/*
	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/log"
)

var REPO *log.LogFlag
var REPOWARN *log.LogFlag

func init() {
	full := "go.wit.com/lib/gui/repo"
	short := "repo"

	REPO = log.NewFlag("REPO", false, full, short, "general repo things")
	REPOWARN = log.NewFlag("REPOWARN", true, full, short, "repo warnings")
}
