package repolist

import "go.wit.com/gui"

// This creates a view of the repos
// you can only have one at this point
func AutotypistView(parent *gui.Node) *RepoList {
	if me != nil {
		return me
	}
	me = new(RepoList)
	me.allrepos = make(map[string]*RepoRow)
	me.viewName = "autotypist"

	// me.reposbox = gui.RawBox()
	me.reposbox = parent

	me.reposgroup = me.reposbox.NewGroup("my git repositories (configure in ~/.config/autotypist)")
	me.reposgrid = me.reposgroup.NewGrid("test", 0, 0)

	me.reposgrid.NewLabel("") // path goes here
	me.reposgrid.NewLabel("last tag").SetProgName("last tag")
	me.reposgrid.NewLabel("master version")
	me.reposgrid.NewLabel("devel version")
	me.reposgrid.NewLabel("user version")
	me.reposgrid.NewLabel("Status")
	me.reposgrid.NewLabel("Current").SetProgName("CurrentName")
	me.reposgrid.NewLabel("Version").SetProgName("CurrentVersion")
	me.reposgrid.NextRow()

	me.blind = gui.RawBox()
	me.shownCount = me.blind.NewLabel("showCount")
	me.duration = me.blind.NewLabel("duration")
	return me
}
