package repolist

import "go.wit.com/gui"

// This creates a view of the repos
// you can only have one at this point
func GuireleaserView(parent *gui.Node) *RepoList {
	if me != nil {
		return me
	}
	me = new(RepoList)
	me.allrepos = make(map[string]*RepoRow)
	me.viewName = "guireleaser"

	// me.reposbox = gui.RawBox()
	me.reposbox = parent

	me.reposgroup = me.reposbox.NewGroup("GUI repositories (configure in ~/.config/guireleaser)")
	me.reposgrid = me.reposgroup.NewGrid("test", 0, 0)

	me.reposgrid.NewLabel("") // path goes here
	me.reposgrid.NewLabel("target")
	me.reposgrid.NewLabel("last tag").SetProgName("last tag")
	me.reposgrid.NewLabel("Current")
	me.reposgrid.NewLabel("Version")
	me.reposgrid.NewLabel("git State")
	me.reposgrid.NewLabel("GO State")
	me.reposgrid.NextRow()

	me.blind = gui.RawBox()
	me.shownCount = me.blind.NewLabel("showCount")
	me.duration = me.blind.NewLabel("duration")
	return me
}
